Get Nostro Account statement page
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/{iban}/statements/{type}/{date}import requests
url = "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/{iban}/statements/{type}/{date}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/{iban}/statements/{type}/{date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"aSDinaTvuI8gbWludGxpZnk="{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Nostro Accounts
Get Nostro Account statement page
Retrieves content of the Nostro account statement for the indicated account, statement type and date.
GET
/
v1
/
nostro-accounts
/
{iban}
/
statements
/
{type}
/
{date}
Get Nostro Account statement page
Overview
Retrieves content of the Nostro account statement for the indicated account, statement type and date.Response Formats
- XML Format (default): Statement content provided as an ISO account statement message
- JSON Format: For camt.054 statements only - returns a paginated transaction list
- Requires setting
Acceptheader toapplication/json
- Requires setting
Statement Types
SCT Payments Servicing Nostro Account
camt.053.001.08- Account balance statementcamt.054.001.05- Account debit/credit notification
INSTANT SEPA Payments Servicing Nostro Account
camt.052.001.06- Account balance statementcamt.054.001.05- Account debit/credit notification
SWIFT Payments Servicing Nostro Account
camt.052.001.08- Account reportcamt.053.001.08- Account statementcamt.054.001.08- Account debit/credit notification
Headers
Path Parameters
Nostro account identifier used as a lookup key. It can be an IBAN or a non-IBAN account identifier, such as a SWIFT correspondent account number (for example, ST6097).
Statement type code.
Available options:
CAMT_052, CAMT_053, CAMT_054, CAMT_054D, CAMT_054_LB_O Statement end of day date.
Query Parameters
Page Number. Default is 1
How many transactions should be returned. Only relevant for JSON response and camt.054 statement. Default is 1
Which transaction page should be returned. Only relevant for JSON response and camt.054 statement. Default is 1
Response
Page content
The response is of type string<byte>.
Last modified on August 18, 2026